#include <PSX/Timer/high_res_timer.hpp>
#include <stdio.h>

#pragma GCC warning "Enable this code to verify that high percision counter is still functional"
extern "C" void busy_loop(int count);
namespace Overlay {
    void mesaure_busy_loop() {
        static constexpr auto Counts = 500;

        JabyEngine::HighResTime::enable();
            const auto start = JabyEngine::HighResTime::get_time_stamp();
            busy_loop(Counts);
            const auto end   = JabyEngine::HighResTime::get_time_stamp();
        JabyEngine::HighResTime::disable();

        printf("Busy loop of %i took %ims %ins\n", Counts, start.milliseconds_to(end), start.microseconds_to(end));
    }
}